<?php declare(strict_types=1);

namespace App\Command;

use App\Service\FakeData;
use Override;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;

#[AsCommand(
    name: 'app:fake-data',
    description: 'add some fake data to database',
)]
final class FakeDataCommand extends Command
{
    public function __construct(
        private readonly FakeData $fakeData,
    ) {
        parent::__construct();
    }

    #[Override]
    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $io = new SymfonyStyle($input, $output);
        $this->fakeData->resetDb();
        $this->fakeData->generate();

        $io->success('Added some fake data to database');
        return Command::SUCCESS;
    }
}
